Skip to Content

Manufacturer

The manufacturer object describes a product manufacturer, including its name and details.

Usage Example

{%- comment -%} Show manufacturer name and website {%- endcomment -%} <p> {{ manufacturer.name }} {% if manufacturer.website %}<a href="{{ manufacturer.website }}">Website</a>{% endif %} </p>

Properties

seo_description

Returns description for search engines.

seo_title

Returns title for search engines.

seo_keywords

Returns keywords for search engines.

sort_options

Returns possible sort options for this manufacturer.

sort_by

Returns the property this manufacturer is currently sorted by.

default_sort_by

Returns the default property this manufacturer is sorted by.

sort_by_param

Returns the query parameter name for sorting property.

id

Returns the id.

title

Returns the title.

products_count

Returns the amount of products for this manufacturer that are currently viewed. Filtering will affect this value.

all_products_count

Returns the total amount of products for this manufacturer.

products

Lists manufacturer products.

image

Returns the image.

filters

Returns the available filters for this manufacturer, null if none is set.

active_filters

Returns the active filters for this manufacturer, null if none is set.